package renzhengshouquan

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/renzhengshouquan/model"
)

type cert struct {
	Table
	auth     auth
	userAuth userAuth
	create   string `name:"create title* content*" role:"leader"`
}

func (s cert) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.AUTH_UID))...)
	s.RecordEventWithName(m, "")
}
func (s cert) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userAuth, s.auth, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(cert{}) }
